blocktools.cpp File Reference
`#include "blocktools.h"`
`#include <cstring>`
`#include <iostream>`

## Functions

void | generateInNeighbours (coord_t blockx, coord_t blocky, coord_t blockz, messvec &v)
void | generateOutNeighbours (coord_t blockx, coord_t blocky, coord_t blockz, messvec &v)
int | getTag (unsigned char sourcex, unsigned char sourcey, unsigned char sourcez, unsigned char targetx, unsigned char targety, unsigned char targetz)
int | getTag (unsigned char destx, unsigned char desty, unsigned char destz, bool deltax, bool deltay, bool deltaz)
unsigned char | getSrcBuffID (unsigned char destx, unsigned char desty, unsigned char destz, bool deltax, bool deltay, bool deltaz)

## Function Documentation

## generateInNeighbours()

void generateInNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | coord_t | blockz,
|  | messvec & | v
| ) |  |

## generateOutNeighbours()

void generateOutNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | coord_t | blockz,
|  | messvec & | v
| ) |  |

## getSrcBuffID()

unsigned char getSrcBuffID | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | unsigned char | destz,
|  | bool | deltax,
|  | bool | deltay,
|  | bool | deltaz
| ) |  |

Referenced by BlockGrid::generateInNeighbours().

## getTag() [1/2]

int getTag | ( | unsigned char | sourcex,
|  | unsigned char | sourcey,
|  | unsigned char | sourcez,
|  | unsigned char | targetx,
|  | unsigned char | targety,
|  | unsigned char | targetz
| ) |  |

Referenced by BlockGrid::generateInNeighbours(), escript::NullDomain::operator!=(), and escript::AbstractDomain::~AbstractDomain().

## getTag() [2/2]

int getTag | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | unsigned char | destz,
|  | bool | deltax,
|  | bool | deltay,
|  | bool | deltaz
| ) |  |